Bug 812131 - A 6.3 guest on a 5.8 host, the volume control is stuck on the max client volume.
A 6.3 guest on a 5.8 host, the volume control is stuck on the max client volume.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.8
Unspecified Unspecified
medium Severity low
: beta
: 5.9
Assigned To: Virtualization Maintenance
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 16:12 EDT by Bill Sanford
Modified: 2012-04-14 05:50 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-14 05:50:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Sanford 2012-04-12 16:12:44 EDT
Description of problem:
With RHEL6.3-20120329.0 as a guest on a 5.8 host (In RHEV-M ic155), what ever the max volume of the SPICE client is the only volume of the guest. The guest can mute the volume, but has lost volume control from low to the highest client volume. 

Version-Release number of selected component (if applicable):
RHEL6.3-20120329

How reproducible:
100%

Steps to Reproduce:
1. Install RHEL6.3-20120329 guest to a RHEL 5.8 host in RHEV-M ic55.
2. Launch the SPICE VM and try to adjust volume within the guest.
3. 
  
Actual results:
Sound volume cannot be adjusted louder or softer on the RHEL guest.

Expected results:
Sound volume can be adjusted louder or softer on the RHEL guest.

Additional info:

Client RHEL 6.3 32-bit 
spice-gtk-0.11-5.el6.i686 
spice-usb-share-4.9-9.el6.i686 
spice-xpi-2.7-15.el6.i686 
spice-vdagent-0.8.1-3.el6.i686 
spice-client-0.8.2-15.el6.i686 
spice-glib-0.11-5.el6.i686 
kmod-kspiceusb-rhel60-4.9-14.el6.i686 
xorg-x11-drv-qxl-0.0.14-13.el6_2.i686 
virt-viewer-0.5.2-3.el6.i686 

Host RHEL 5.8 64-bit 
qspice-libs-0.3.0-54.el5_5.2 
kvm-83-249.el5_8 
kvm-tools-83-249.el5_8 
kmod-kvm-83-249.el5_8 
kvm-qemu-img-83-249.el5_8 
xorg-x11-drv-qxl-0.0.12-2.el5 

Guest RHEL 6.3 64-bit 
spice-vdagent-0.8.1-3.el6.x86_64 
spice-client-0.8.2-15.el6.x86_64 
xorg-x11-drv-qxl-0.0.14-13.el6_2.x86_64 
rhev-agent-2.3.16-3.el6.x86_64
Comment 3 Marc-Andre Lureau 2012-04-13 06:31:22 EDT
spice doesn´t deal with volume control, until bug 482089 is fixed. reassigned
Comment 4 David Jaša 2012-04-13 07:34:46 EDT
qemu-kvm is wrong component for sure, this is either 5.8 "kvm" component bug or 6.3 alsa-something bug. Let's try kvm for now...
Comment 6 Ronen Hod 2012-04-14 05:50:24 EDT
Closing this bug
- Audio has several issues in RHEL5 (virt).
- It was not reported by customers so far
- Probably not a regression
Our aim is to make the minimal changes to RHEL5.9 in order not to destabilizing it.

Thanks, Ronen.

Note You need to log in before you can comment on or make changes to this bug.